##
## install nodejs
## https://github.com/nodesource/ansible-nodejs-role/blob/master/tasks/main.yml
##
- name: Import the NodeSource GPG key into apt
  apt_key:
    url: https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280
    id: "68576280"
    state: present
  become: yes

- name: Add NodeSource deb repository
  apt_repository:
    repo: 'deb https://deb.nodesource.com/node_16.x {{ ansible_distribution_release }} main'
    state: present
  become: yes

- name: Install Node.js
  apt:
    pkg:
      - nodejs
    state: present
    update_cache: yes
  become: yes
